html,
body {
  height: 100%;
  margin: 0;
  font-size: 10px;
  font-family: "Montserrat", Helvetica, sans-serif;
  box-sizing: border-box; }

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box; }

body {
  background-color: #fefefe; }

/* Header */
header {
  background-color: #222222; }
  header nav {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 8rem;
    padding: 3rem 1rem; }
    header nav .logo__box {
      margin-right: auto; }
      header nav .logo__box .logo {
        width: 7rem; }
    header nav .sign__box .navbar__items {
      display: flex;
      flex-direction: row;
      align-items: center;
      list-style: none;
      margin: 0;
      padding: 0; }
      header nav .sign__box .navbar__items .nav-item a {
        font-size: 1.5rem;
        color: #fff;
        transition: 2ms; }
        header nav .sign__box .navbar__items .nav-item a:hover {
          color: #fbb03b;
          transform: scale(1.06); }

/* Banner */
.banner {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 30rem;
  background-image: linear-gradient(to right, rgba(34, 34, 34, 0.9), rgba(237, 28, 36, 0.95), rgba(251, 176, 59, 0.9) 98%), url("/static/imgs/action-blur-electronics-247932.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover; }
  .banner h1 {
    font-size: 3.2rem;
    font-weight: bold;
    text-align: center !important;
    padding: 2rem;
    color: #fff; }
    @media only screen and (max-width: 800px) {
      .banner h1 {
        font-size: 2rem; } }
  .banner img {
    margin-top: 2rem;
    width: 9rem; }

#quiz__banner {
  height: 10rem !important; }

/* Sign up Form */
.form__container {
  margin-top: 5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center; }
  .form__container h2 {
    font-size: 2rem;
    font-weight: bold;
    text-align: center; }
  .form__container form {
    width: 60%;
    margin-top: 4rem;
    padding: 5rem;
    background-color: #fff;
    box-shadow: 0px 5px 10px rgba(34, 34, 34, 0.2);
    animation: form .3s ease-in-out; }
    @media only screen and (max-width: 900px) {
      .form__container form {
        width: 80%; } }
    .form__container form .form-group {
      margin-top: 2.5rem; }
      .form__container form .form-group label {
        font-size: 1.5rem; }
      .form__container form .form-group small,
      .form__container form .form-group small > * {
        font-size: 1.2rem; }
      .form__container form .form-group small ul {
        margin-left: 1.8rem; }
    .form__container form .alert,
    .form__container form .alert > * {
      font-size: 1.3rem; }

/* Footer */
footer {
  margin-top: 10rem;
  padding: 4rem;
  background-color: #222222; }
  footer p {
    text-align: center;
    font-size: 1.4rem;
    color: white; }

/* Inputs and button style */
.btn {
  margin-top: 2rem;
  outline: none !important;
  outline-color: #fff;
  font-size: 1.6rem;
  background-color: #ed1c24;
  padding: 1.3rem 6rem;
  color: white;
  transition: all 0.3s;
  float: right;
  box-shadow: 0px 5px 5px rgba(34, 34, 34, 0.1); }
  .btn:hover {
    background-color: rgba(237, 28, 36, 0.9);
    color: white;
    box-shadow: 0px 5px 5px rgba(34, 34, 34, 0.2);
    transform: scale(1.05) translateY(-0.7rem); }
  .btn:active {
    color: white;
    outline: none !important; }

.form-control {
  border: none;
  outline: 0 !important;
  border-radius: 0 !important;
  border-bottom: solid 4px #222222;
  background-color: #f6f6f6;
  height: 6rem;
  transition: 0.2s;
  font-size: 1.5rem;
  padding: 0.5rem 2rem !important; }
  .form-control::placeholder {
    font-size: 1.3rem; }
  .form-control:focus {
    border-bottom: solid 4px #fbb03b;
    outline: none !important; }

/* Question container */
.questions_container {
  margin-top: 5rem;
  padding: 3rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; }
  .questions_container form {
    width: 70%;
    display: flex;
    flex-direction: column;
    padding: 6rem 5rem;
    background-color: #fff;
    box-shadow: 0px 5px 10px rgba(34, 34, 34, 0.2);
    animation: question .3s ease-out; }
    @media only screen and (max-width: 900px) {
      .questions_container form {
        width: 100%; } }
    .questions_container form li {
      margin-top: 1.5rem; }
      .questions_container form li label {
        font-size: 1.5rem; }
    .questions_container form .btn {
      flex: 0;
      margin-top: 4.5rem; }
      .questions_container form .btn .fa-spinner {
        font-size: 1.5rem; }
    .questions_container form h2 {
      font-size: 2rem;
      margin-bottom: 2rem;
      font-weight: bold; }

/* Thank you page */
.thank__you {
  padding-top: 8rem;
  padding-bottom: 5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; }
  .thank__you h1 {
    font-size: 2rem;
    text-align: center; }
  .thank__you h4 {
    margin-top: 3rem;
    display: block;
    text-align: center;
    background-color: #fbb03b;
    padding: 2rem;
    width: 10rem;
    border-radius: 100%;
    color: #fff;
    font-size: 2rem;
    animation: score .4s infinite ease-out; }
  .thank__you p {
    font-size: 1.5rem;
    margin-top: 1.5rem; }

.styled-checkbox {
  position: absolute;
  opacity: 0; }
  .styled-checkbox + label {
    position: relative;
    cursor: pointer;
    padding: 0; }
  .styled-checkbox + label:before {
    content: '';
    margin-right: 20px;
    margin-top: -.3rem;
    display: inline-block;
    vertical-align: text-top;
    width: 30px;
    height: 30px;
    background: #f6f6f6;
    border: solid 1px rgba(237, 28, 36, 0.1); }
  .styled-checkbox:hover + label:before {
    background: rgba(237, 28, 36, 0.2); }
  .styled-checkbox:focus + label:before {
    box-shadow: 0 0 0 3px rgba(237, 28, 36, 0.6); }
  .styled-checkbox:checked + label:before {
    background: #ed1c24; }
  .styled-checkbox:checked + label:after {
    content: '';
    position: absolute;
    left: 5px;
    top: 9px;
    background: #fff;
    width: 8px;
    height: 8px;
    outline: none;
    box-shadow: 2px 0 0 white,
 4px 0 0 white,
 4px -2px 0 white,
 4px -4px 0 white,
 4px -6px 0 white,
 4px -8px 0 white;
    transform: rotate(45deg); }

.unstyled {
  margin: 0;
  padding: 0;
  list-style-type: none; }

/* Dashboard */
#dashboard__banner {
  height: 15rem; }

.dashboard {
  min-height: 70vh; }

.dashboard_container {
  box-shadow: 0px 5px 20px rgba(34, 34, 34, 0.15); }
  .dashboard_container .result__header {
    margin-top: -2.5rem;
    height: 6rem !important;
    background-color: #222222; }
    .dashboard_container .result__header span {
      color: white !important; }
  .dashboard_container .result {
    display: flex;
    width: 100%;
    padding: 1rem 2rem;
    height: 5rem;
    align-items: center;
    text-align: center; }
    .dashboard_container .result:not(:first-child) {
      border-top: 1px solid rgba(34, 34, 34, 0.1); }
    .dashboard_container .result span {
      font-size: 1.5rem; }
      @media only screen and (max-width: 600px) {
        .dashboard_container .result span {
          font-size: 1.4rem; } }
    .dashboard_container .result .rang {
      width: 7%; }
      .dashboard_container .result .rang span {
        font-weight: bold !important; }
      .dashboard_container .result .rang .medail {
        width: 4rem; }
    .dashboard_container .result .name {
      width: 38%; }
    .dashboard_container .result .email {
      width: 30%; }
    .dashboard_container .result .marks {
      width: 10%; }
      .dashboard_container .result .marks span {
        font-weight: bold !important; }
    .dashboard_container .result .progression {
      width: 15%; }

#waiting__banner {
  height: 40rem !important; }
  #waiting__banner h1 {
    text-align: center !important;
    padding: 2rem; }
    @media only screen and (max-width: 800px) {
      #waiting__banner h1 {
        font-size: 2rem; } }
  #waiting__banner p {
    text-align: center;
    color: white;
    padding: 2rem;
    font-size: 1.5rem; }

.quiz-icon-bloc {
  margin-top: 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 25vh; }
  .quiz-icon-bloc h3 {
    font-size: 2rem;
    font-weight: bold; }
  .quiz-icon-bloc h4 {
    font-size: 1.8rem;
    margin-top: 1.5rem; }

.controls {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  right: 10px;
  top: 100px; }
  .controls #start {
    margin-right: 1rem; }
  .controls #start, .controls #stop {
    outline: none !important;
    border: none;
    font-size: 1.5rem;
    background-color: rgba(237, 28, 36, 0.9);
    padding: 1rem 2rem;
    border-radius: 10px;
    color: white;
    transition: all 0.3s;
    float: right;
    box-shadow: 0px 5px 5px rgba(34, 34, 34, 0.1);
    cursor: pointer;
    width: 15rem; }
    .controls #start:hover, .controls #stop:hover {
      background-color: rgba(237, 28, 36, 0.8);
      color: white;
      box-shadow: 0px 5px 5px rgba(34, 34, 34, 0.2);
      transform: scale(1.03) translateY(-0.4rem); }
    .controls #start:active, .controls #stop:active {
      color: white;
      outline: none !important; }
    .controls #start span, .controls #stop span {
      color: #fff; }

/* Annimations */
@keyframes score {
  from {
    transform: scale(1.1); }
  to {
    transform: scale(1); } }

/* Annimations */
@keyframes form {
  from {
    transform: translateX(-10px); }
  to {
    transform: translateX(0); } }

@keyframes question {
  from {
    transform: translateX(-15px); }
  to {
    transform: translateX(0); } }
